<?php
/******************************
 * $Id: index.php,v 1.7.0 2006/06/14 09:16:24 zanix Exp $
 ******************************/

if (!defined('CPG_NUKE')) { exit; }

require_once ROSTER_BASE.'lib/item.php';

$header_title = $wordings[$roster_conf['roster_lang']]['pagetitle_gearsnap'];


// example connect
$server_name_escape = $wowdb->escape($roster_conf['server_name']);
$guild_name_escape = $wowdb->escape($roster_conf['guild_name']);
$query = "SELECT `guild_id`, `guild_name`, DATE_FORMAT(`update_time`, '".$timeformat[$roster_conf['roster_lang']]."') FROM `".ROSTER_GUILDTABLE."` WHERE `guild_name` = '$guild_name_escape' AND `server` = '$server_name_escape'";
$result = $wowdb->query($query) or die_quietly($wowdb->error(),'Database Error',basename(__FILE__),__LINE__,$query);
if ($row = $wowdb->fetch_array($result))
{
	$guildId = $row[0];
	$guildname = $row[1];
	$updateTime = $row[2];
}

if ($roster_conf['sqldebug'])
{
	print "<!-- $query -->\n";
}

$omit = "";

$display_text = $_REQUEST['display_text'];
if (isset($_REQUEST["classFilter"]))
           $class = $_REQUEST["classFilter"];

		   
// Set up for column filtering
if (isset($_REQUEST["omit"])) {
			$showMe = $_REQUEST["omit"];
			foreach ($showMe as $key => $item) {
				$headeritems[$key] = $wordings[$roster_conf['roster_lang']][$item];
				if ($item != "Name") {
					$omit .= "'".$item."', ";
				}
			}	
			$omit.="'null'";

	} else {
	
    $headeritems = array(
	$wordings[$roster_conf['roster_lang']]['Name'],
	$wordings[$roster_conf['roster_lang']]['Back'],
	$wordings[$roster_conf['roster_lang']]['Chest'],
	$wordings[$roster_conf['roster_lang']]['Feet'],
	$wordings[$roster_conf['roster_lang']]['Finger0'],
	$wordings[$roster_conf['roster_lang']]['Finger1'], 
	$wordings[$roster_conf['roster_lang']]['Hands'],
	$wordings[$roster_conf['roster_lang']]['Head'],
	$wordings[$roster_conf['roster_lang']]['Legs'],
	$wordings[$roster_conf['roster_lang']]['MainHand'], 
	$wordings[$roster_conf['roster_lang']]['Neck'],
	$wordings[$roster_conf['roster_lang']]['Ranged'],
	$wordings[$roster_conf['roster_lang']]['SecondaryHand'], 
	$wordings[$roster_conf['roster_lang']]['Shoulder'],
	$wordings[$roster_conf['roster_lang']]['Trinket0'],
	$wordings[$roster_conf['roster_lang']]['Trinket1'], 
	$wordings[$roster_conf['roster_lang']]['Waist'],
	$wordings[$roster_conf['roster_lang']]['Wrist']
	);

}

//begin generation the addon's output
print '<br />';


	echo border('syellow', 'start', 'Apply Display Filters');

?>
<table cellpadding="3" cellspacing="1" class="membersList">
	<form action="addon.php" method="GET" name="myform">
		<input type="hidden" name="roster_addon_name" value="equipview">
		<tr>
		<td class="MembersRow1">
			<select name="classFilter">
				<option value="" '<? echo $is_selected ?>'>All Classes</option>

<?php


	$query = 'SELECT distinct class FROM `'.ROSTER_PLAYERSTABLE.'` WHERE level >= '.$addon_conf['equipview']['minLevel'].' ORDER BY class ASC';

	if ($roster_conf['sqldebug'])
	{
		print "<!-- $query -->\n";
	}

	$result = $wowdb->query($query) or die($wowdb->error());

	while ($row = $wowdb->fetch_array($result)) { 
		if ($class == $row['class']) {
			$is_selected = ' selected';
		} else {
			$is_selected = '';
		}
		echo '<option value="'.$row['class'].'"'.$is_selected.'>'.$row['class'].'</option>'; 
	}

?>
			</select>
			</td>
			<td><input type="hidden" name="omit[]" value="Name">
<?php
	$slotQuery = "Select distinct item_slot from ".ROSTER_ITEMSTABLE." WHERE item_parent = 'equip' and item_slot not in ('ammo', 'shirt', 'tabard') order by item_slot";
	$slotResult = $wowdb->query($slotQuery);

	while ($slotData = $wowdb->getrow($slotResult)) {
	$checked = "checked";

	if (isset($_REQUEST["omit"])) {
		foreach ($showMe as $item) {
			if ($item == $slotData['item_slot'] ) {
				$checked = "checked";
				break;
			}
			else {
			$checked = "";
			}

		}
	}
	

		echo '<input type="checkbox" name="omit[]" '.$checked.' value="'.$slotData['item_slot'].'">'.$wordings[$roster_conf['roster_lang']][$slotData['item_slot']];

	}	
?>			
		
			</td>
		</tr>
		<tr><td colspan="20" align="center"><input type="submit" name="submit" value="Filter"></td>
		</tr>
	</form>
</table>
<?php
	echo border ('syellow','end');
//  End filter

	// Check if we have a Class Filter
	$class_where = '';
	if ($class != '') {
			$class_where = ' AND class = \''.$class.'\' ';
	}

// Generate List of Characters

	$query = 'SELECT name, level, member_id, class, clientLocale FROM `'.ROSTER_PLAYERSTABLE.'` WHERE level >= '.$addon_conf['equipview']['minLevel'].' '.$class_where.' GROUP BY name ORDER BY name ASC';
	
	if ($roster_conf['sqldebug'])
	{
		print "<!-- $query -->\n";
	}

	print ('<br/>');
	// Set up the table display
	echo border('syellow', 'start', 'Equipped Gear by Member');
?>

<table cellpadding="0" cellspacing="0" class="membersList">
<?php

	// Set up Header Row

	echo '<tr>';
	foreach ($headeritems as $headeritem) {
		if ($headeritem == 'Name') {
			echo '<th class="membersHeader">'.$headeritem.'</th>';
		} else {
			echo '<th class="membersHeader"><center>'.$headeritem.'</center></th>';
		}
	}
	echo '</tr>';

	$result = $wowdb->query($query) or die($wowdb->error());
	
	$rownum=1;
	$count=1;
	
	while ($row = $wowdb->fetch_array($result)) {
	
		//  Test for Reprint Headers	
			
			if ( $addon_conf['equipview']['repeatHeader'] && ($count > $addon_conf['equipview']['repeatHeader'] )) {
		// Reset row counter
			$count = 1;
		//  Reprint header row
			echo '<tr>';
			foreach ($headeritems as $headeritem) {
				if ($headeritem == 'Name') {
					echo '<th class="membersHeader">'.$headeritem.'</th>';
				} else {
					echo '<th class="membersHeader"><center>'.$headeritem.'</center></th>';
				}
			}
			echo '</tr>';
				
		}		

	
			echo '<tr>';
			echo '<td><div class="membersKeyRowLeft'.$rownum.'">';
			echo '<a href="'.getlink('&file=char&cname='.$row['name'].'&server='.$roster_conf['server_name']).'">'.$row['name'].'</a><br />'.$row['class'].' ('.$row['level'].')<br>'."\n";
			//echo '<a href="char.php?name='.$row['name'].'&server='.$server_name_escape.'">'.$row['name'].'</a><br>('.$row['level'].'&nbsp;'.$row['class'].')<br>';
			echo '</div></td>';


	// Retrieve Current Equipment for Each

		if ($omit == ""){
			$iquery = "SELECT * FROM `".ROSTER_ITEMSTABLE."` WHERE item_parent = 'equip' and item_slot not in ('ammo', 'shirt', 'tabard') AND member_id = '".$row['member_id']."'";		
		}
		else {
			$iquery = "SELECT * FROM `".ROSTER_ITEMSTABLE."` WHERE item_parent = 'equip' and item_slot in (".$omit.") AND member_id = '".$row['member_id']."'";
		}

		if ($roster_conf['sqldebug'])
		{
			print "<!-- $iquery -->\n";
		}

		$iresult = $wowdb->query($iquery);
		
		$iTracker = 1;

		while ($idata = $wowdb->getrow($iresult)) {

			$item = new item($idata);
			
			$itemslot = $item->data['item_slot'];
			
			print '<td class="membersKeyRow'.$rownum.'">';
			echo '<div class="bagSlot">';
			
			if($item->data['item_name']){
				
				$itemname = $item->data['item_name'];
				
					while ($wordings[$roster_conf['roster_lang']][$itemslot] != $headeritems[$iTracker]) {
						echo '<span style="z-index: 1000;"><center>X</center></span>';
						echo '</div>';
						print '</td>';
						print '<td class="membersKeyRow'.$rownum.'">';
						echo '<div class="bagSlot">';
						$iTracker++;
					}
						print $item->out($itemname);
						$iTracker++;
			}

			echo '</div>';
			print '</td>';

		}
		
			switch ($rownum) {
			case 1:
				$rownum=2;
				break;
			default:
				$rownum=1;
			}

		echo '</tr>';	
		$count++;
		
	}

		echo '</table>';

	// Display the Right side / Bottom of the Stylish Border
	echo border('syellow','end');

	$wowdb->free_result($result);


print '<br />';
?>